#############################################################
#
#   Program: mixed_model.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 6 October 2011
#   Revisions: 
#     
#
#############################################################
library(rms)

## ODDS OF INCREASED BARRIER
## GLM - try a normal logistic regression (not accounting for correlation) - then use Huber-White sandwich estimator
baseline$children_at_home <- impute(baseline$children_at_home,fun=median)
baseline$maternal_education <- impute(baseline$maternal_education,fun=median)
baseline$age_sm <- impute(baseline$age_sm,fun=median)
lrm4.dd1 <- datadist(with(baseline,data.frame(sm_pilot,age_sm,maternal_education,children_at_home)))
options(datadist='lrm4.dd1')

lrm4_ba1 <- lrm(cost_transport_prevent ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba2 <- lrm(distance_facility_prevent ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba3 <- lrm(lost_work_prevent ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba4 <- lrm(lost_chores_prevent ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba5 <- lrm(childcare_prevents ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba6 <- lrm(fees_prevent ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)
lrm4_ba7 <- lrm(how_often_fear_of_doctors ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3), data=baseline, x=T, y=T)

lrm4_ba1 <- lrm(cost_transport_prevent ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba2 <- lrm(distance_facility_prevent ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba3 <- lrm(lost_work_prevent ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba4 <- lrm(lost_chores_prevent ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba5 <- lrm(childcare_prevents ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba6 <- lrm(fees_prevent ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)
lrm4_ba7 <- lrm(how_often_fear_of_doctors ~ sm_pilot + rcs(age_sm,3) + maternal_education + children_at_home, data=baseline, x=T, y=T)


lrm4_labels <- c("Pilot","Age","\\\\hspace{0.2in}20 years (ref)","\\\\hspace{0.2in}25 years","\\\\hspace{0.2in}30 years","Maternal Education (per year)","Children at home (per 1 child)")

getlatex <- function(mylrm){
	lrm4_sum1 <- rbind(summary(mylrm,sm_pilot=0,age=c(20,25))[c(2,4),c(4,6,7)],
			  summary(mylrm,sm_pilot=0,age=c(25,30))[c(4,6,8),c(4,6,7)])
	lrm4_sum2 <- paste(format(round(lrm4_sum1[,1],2),nsmall=2)," (",
			    format(round(lrm4_sum1[,2],2),nsmall=2)," to ",
			    format(round(lrm4_sum1[,3],2),nsmall=2),")",sep="")
	lrm4_sum3 <- c(lrm4_sum2[1],"","1",lrm4_sum2[2:5])
	(pval.g2 <- sapply(as.data.frame(anova(mylrm))$P,myformat4)) 
	latex.g2 <-paste(lrm4_labels,lrm4_sum3,
		      c(pval.g2[c(1,2)],rep("",3),pval.g2[4:5]),sep=" & ")
	lrm4 <- paste(latex.g2,collapse=" \\\\\\\\ ")
	return(lrm4)
}



