#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 21 July 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"


PILOT.N <- table(baseline$sm_pilot.factor)
ttg.n1 <- getnptex(var=baseline$ttg,by=baseline$sm_pilot.factor,label=label(baseline$ttg),rowlabel=levels(baseline$ttg.factor),inc.pval=FALSE)
age.m1 <- getmedtex(var=baseline$age_sm,by=baseline$sm_pilot.factor,label="Age of single mother",note="a",inc.pval=FALSE)
edu1.m1 <- getmedtex(var=baseline$years_of_primary,by=baseline$sm_pilot.factor,label=label(baseline$years_of_primary),inc.pval=FALSE)
edu2.m1 <- getmedtex(var=baseline$years_secondary,by=baseline$sm_pilot.factor,label=label(baseline$years_secondary),inc.pval=FALSE)
edu3.m1 <- getmedtex(var=baseline$maternal_education,by=baseline$sm_pilot.factor,label=label(baseline$maternal_education),inc.pval=FALSE)
emp.n1 <- getnptex(var=droplevels(baseline$employment.factor),by=baseline$sm_pilot.factor,label=label(baseline$employment),rowlabel=sapply(levels(droplevels(baseline$employment.factor)),simpleCap),inc.pval=FALSE,note="b")
inc.m1 <- getmedtex(var=baseline$avg_monthly_income,by=baseline$sm_pilot.factor,label="Monthly income",inc.pval=FALSE)
hom.n1 <- getnptex(var=baseline$type_of_home,by=baseline$sm_pilot.factor,label=label(baseline$type_of_home),rowlabel=levels(baseline$type_of_home.factor),inc.pval=FALSE)
rof.n1 <- getnptex(var=baseline$roof,by=baseline$sm_pilot.factor,label=label(baseline$roof),rowlabel=levels(baseline$roof.factor),inc.pval=FALSE)
h20.n1 <- getnptex(var=baseline$water_source,by=baseline$sm_pilot.factor,label=label(baseline$water_source),rowlabel=sapply(levels(baseline$water_source.factor),simpleCap),inc.pval=FALSE)
lat.n1 <- getnptex(var=baseline$latrine_type,by=baseline$sm_pilot.factor,label=label(baseline$latrine_type),rowlabel=sapply(levels(baseline$latrine_type.factor),simpleCap),inc.pval=FALSE)
cage.m1 <- getmedtex(var=baseline$age_1st_child,by=baseline$sm_pilot.factor,label="Age of oldest child",inc.pval=FALSE)
cnum.m1 <- getmedtex(var=baseline$children_at_home,by=baseline$sm_pilot.factor,label=label(baseline$children_at_home),inc.pval=FALSE)
anum.m1 <- getmedtex(var=baseline$other_adults_at_home,by=baseline$sm_pilot.factor,label=label(baseline$other_adults_at_home),inc.pval=FALSE)
# lt8.n1 <- getnp1line(var=ifelse(analysis$REFPOLEELE==1,1,NA),by=baseline$sm_pilot.factor,rowlabel="Post-LEEP lesion",indent=TRUE,inc.pval=TRUE)

table1  <- paste(ttg.n1$line,age.m1$line.incmiss,edu1.m1$line.incmiss,edu2.m1$line.incmiss,emp.n1$line.incmiss,inc.m1$line.incmiss,hom.n1$line.incmiss,rof.n1$line.incmiss,h20.n1$line.incmiss,
                 lat.n1$line.incmiss,cage.m1$line.incmiss,cnum.m1$line.incmiss,anum.m1$line.incmiss,sep=" \\\\\\\\ ")

prg.m1 <- getmedtex(var=baseline$number_pregnancies,by=baseline$sm_pilot.factor,label=label(baseline$number_pregnancies),note="a",inc.pval=FALSE)
sic.m1 <- getmedtex(var=baseline$number_sickness_year,by=baseline$sm_pilot.factor,label=label(baseline$number_sickness_year),inc.pval=FALSE)
hf1.n1 <- getnptex(var=droplevels(baseline$where_children_sick.factor),by=baseline$sm_pilot.factor,label=label(baseline$where_children_sick),rowlabel=levels(droplevels(baseline$where_children_sick.factor)),inc.pval=FALSE,note="b")
tr1.n1 <- getnptex(var=droplevels(baseline$type_often_health_care.factor),by=baseline$sm_pilot.factor,label=label(baseline$type_often_health_care),rowlabel=levels(droplevels(baseline$type_often_health_care.factor)),inc.pval=FALSE)
tr2.n1 <- getnptex(var=droplevels(baseline$first_go_when_sick.factor),by=baseline$sm_pilot.factor,label=label(baseline$first_go_when_sick),rowlabel=levels(droplevels(baseline$first_go_when_sick.factor)),inc.pval=FALSE)
tr3.n1 <- getnptex(var=droplevels(baseline$type_nearest_hospital.factor),by=baseline$sm_pilot.factor,label=label(baseline$type_nearest_hospital),rowlabel=levels(droplevels(baseline$type_nearest_hospital.factor)),inc.pval=FALSE)
tr4.n1 <- getnptex(var=droplevels(baseline$distance_nearest_hospital.factor),by=baseline$sm_pilot.factor,label=label(baseline$distance_nearest_hospital),rowlabel=levels(droplevels(baseline$distance_nearest_hospital.factor)),inc.pval=FALSE)
tr5.n1 <- getnptex(var=droplevels(baseline$nearst_hospital_satisfy.factor),by=baseline$sm_pilot.factor,label=label(baseline$nearst_hospital_satisfy),rowlabel=levels(droplevels(baseline$nearst_hospital_satisfy.factor)),inc.pval=FALSE)


table2  <- paste(prg.m1$line,sic.m1$line.incmiss,hf1.n1$line.incmiss,tr1.n1$line.incmiss,
		 tr2.n1$line,tr3.n1$line,tr4.n1$line,tr5.n1$line.incmiss,sep=" \\\\\\\\ ")

tr6.n1 <- getnptex(var=droplevels(baseline$distance_travel.factor),by=baseline$sm_pilot.factor,label=label(baseline$distance_travel),rowlabel=levels(droplevels(baseline$distance_travel.factor)),inc.pval=FALSE,note="b")
tr7.n1 <- getnptex(var=droplevels(baseline$often_travel_on_foot.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_travel_on_foot),rowlabel=levels(droplevels(baseline$often_travel_on_foot.factor)),inc.pval=FALSE)
tr8.n1 <- getnptex(var=droplevels(baseline$often_travel_tuk_tuk.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_travel_tuk_tuk),rowlabel=levels(droplevels(baseline$often_travel_tuk_tuk.factor)),inc.pval=FALSE)
tr9.n1 <- getnptex(var=droplevels(baseline$often_travel_piki.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_travel_piki),rowlabel=levels(droplevels(baseline$often_travel_piki.factor)),inc.pval=FALSE)
tr10.n1 <- getnptex(var=droplevels(baseline$often_travel_boda.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_travel_boda),rowlabel=levels(droplevels(baseline$often_travel_boda.factor)),inc.pval=FALSE)
tr11.n1 <- getnptex(var=droplevels(baseline$often_travel_matatu.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_travel_matatu),rowlabel=levels(droplevels(baseline$often_travel_matatu.factor)),inc.pval=FALSE)
# tr12.n1 <- getnptex(var=baseline$often_travel_other,by=baseline$sm_pilot.factor,label=label(baseline$often_travel_other),rowlabel=levels(droplevels(baseline$often_travel_other.factor)),inc.pval=FALSE)
trc1.m1 <- getmedtex(var=baseline$cost_tuk_tuk,by=baseline$sm_pilot.factor,label=label(baseline$cost_tuk_tuk),note="a",inc.pval=FALSE)
trc2.m1 <- getmedtex(var=baseline$cost_piki,by=baseline$sm_pilot.factor,label=label(baseline$cost_piki),inc.pval=FALSE)
trc3.m1 <- getmedtex(var=baseline$cost_boda,by=baseline$sm_pilot.factor,label=label(baseline$cost_boda),inc.pval=FALSE)
trc4.m1 <- getmedtex(var=baseline$how_much_does_matatu_cost,by=baseline$sm_pilot.factor,label=label(baseline$how_much_does_matatu_cost),inc.pval=FALSE)
# trc5.m1 <- getmedtex(var=baseline$how_much_does_other_cost_y,by=baseline$sm_pilot.factor,label=label(baseline$how_much_does_other_cost_y),inc.pval=FALSE)

table3  <- paste(tr6.n1$line.incmiss,tr7.n1$line.incmiss ,tr8.n1$line.incmiss ,tr9.n1$line.incmiss ,
		 tr10.n1$line.incmiss,tr11.n1$line.incmiss,trc1.m1$line.incmiss,
		 trc2.m1$line.incmiss,trc3.m1$line.incmiss,trc4.m1$line.incmiss,
		 sep=" \\\\\\\\ ")

ba1.n1 <- getnptex(var=droplevels(baseline$cost_transport_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$cost_transport_prevent),rowlabel=levels(droplevels(baseline$cost_transport_prevent.factor)),inc.pval=TRUE,var.order=TRUE,note="b")
ba2.n1 <- getnptex(var=droplevels(baseline$distance_facility_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$distance_facility_prevent),rowlabel=levels(droplevels(baseline$distance_facility_prevent.factor)),inc.pval=TRUE,var.order=TRUE)
ba3.n1 <- getnptex(var=droplevels(baseline$lost_work_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$lost_work_prevent),rowlabel=levels(droplevels(baseline$lost_work_prevent.factor)),inc.pval=TRUE,var.order=TRUE)
ba4.n1 <- getnptex(var=droplevels(baseline$lost_chores_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$lost_chores_prevent),rowlabel=levels(droplevels(baseline$lost_chores_prevent.factor)),inc.pval=TRUE,var.order=TRUE)
ba5.n1 <- getnptex(var=droplevels(baseline$childcare_prevents.factor),by=baseline$sm_pilot.factor,label=label(baseline$childcare_prevents),rowlabel=levels(droplevels(baseline$childcare_prevents.factor)),inc.pval=TRUE,var.order=TRUE)
ba6.n1 <- getnptex(var=droplevels(baseline$fees_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$fees_prevent),rowlabel=levels(droplevels(baseline$fees_prevent.factor)),inc.pval=TRUE,var.order=TRUE)
ba7.n1 <- getnptex(var=droplevels(baseline$how_often_fear_of_doctors.factor),by=baseline$sm_pilot.factor,label=label(baseline$how_often_fear_of_doctors),rowlabel=levels(droplevels(baseline$how_often_fear_of_doctors.factor)),inc.pval=TRUE,var.order=TRUE)
ba8.n1 <- getnptex(var=droplevels(baseline$other_prevents.factor),by=baseline$sm_pilot.factor,label=label(baseline$other_prevents),rowlabel=levels(droplevels(baseline$other_prevents.factor)),inc.pval=FALSE)


ba9.n1 <- getnptex(var=droplevels(baseline$often_med_provided.factor),by=baseline$sm_pilot.factor,label=label(baseline$often_med_provided),rowlabel=levels(droplevels(baseline$often_med_provided.factor)),inc.pval=FALSE)
ba10.n1 <- getnptex(var=droplevels(baseline$obtain_own_medicine.factor),by=baseline$sm_pilot.factor,label=label(baseline$obtain_own_medicine),rowlabel=levels(droplevels(baseline$obtain_own_medicine.factor)),inc.pval=FALSE)
ba11.n1 <- getnptex(var=droplevels(baseline$cost_med_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$cost_med_prevent),rowlabel=levels(droplevels(baseline$cost_med_prevent.factor)),inc.pval=FALSE)
ba12.n1 <- getnptex(var=droplevels(baseline$distance_chemist_prev.factor),by=baseline$sm_pilot.factor,label=label(baseline$distance_chemist_prev),rowlabel=levels(droplevels(baseline$distance_chemist_prev.factor)),inc.pval=FALSE)
ba13.n1 <- getnptex(var=droplevels(baseline$cost_trans_prevent.factor),by=baseline$sm_pilot.factor,label=label(baseline$cost_trans_prevent),rowlabel=levels(droplevels(baseline$cost_trans_prevent.factor)),inc.pval=FALSE)
# ba14.n1 <- getnptex(var=baseline$other_prevents_meds,by=baseline$sm_pilot.factor,label=label(baseline$other_prevents_meds),rowlabel=levels(droplevels(baseline$other_prevents_meds.factor)),inc.pval=FALSE)

table4  <- paste(ba1.n1$line,ba2.n1$line.incmiss,ba3.n1$line.incmiss ,ba4.n1$line.incmiss,
		 ba5.n1$line.incmiss,ba6.n1$line.incmiss,ba7.n1$line.incmiss,
		 sep=" \\\\\\\\ ")

table4b  <- paste(
		 ba9.n1$line.incmiss,ba10.n1$line.incmiss,ba11.n1$line.incmiss,ba12.n1$line.incmiss,
		 ba13.n1$line.incmiss,sep=" \\\\\\\\ ")


PILOTPREG.N <- table(getpreg$sm_pilot.factor)
prg1.n1 <- getnptex(var=droplevels(getpreg$result_pregnancy.factor),by=getpreg$sm_pilot.factor,label=label(getpreg$result_pregnancy),rowlabel=sapply(levels(droplevels(getpreg$result_pregnancy.factor)),simpleCap),inc.pval=FALSE,note="b")
prg2.n1 <- getnptex(var=droplevels(getpreg$where_delivered.factor),by=getpreg$sm_pilot.factor,label=label(getpreg$where_delivered),rowlabel=sapply(levels(droplevels(getpreg$where_delivered.factor)),simpleCap),inc.pval=FALSE)
prg3.n1 <- getnptex(var=droplevels(getpreg$home_assisted.factor),by=getpreg$sm_pilot.factor,label=label(getpreg$home_assisted),rowlabel=sapply(levels(droplevels(getpreg$home_assisted.factor)),simpleCap),inc.pval=FALSE)
prg4.n1 <- getnptex(var=droplevels(getpreg$hospital_after.factor),by=getpreg$sm_pilot.factor,label=label(getpreg$hospital_after),rowlabel=levels(droplevels(getpreg$hospital_after.factor)),inc.pval=FALSE)
prg5.n1 <- getnptex(var=droplevels(getpreg$type_birth.factor),by=getpreg$sm_pilot.factor,label=label(getpreg$type_birth),rowlabel=sapply(levels(droplevels(getpreg$type_birth.factor)),simpleCap),inc.pval=FALSE)
prg6.n1 <- getnptex(var=getpreg$complications.factor,by=getpreg$sm_pilot.factor,label=label(getpreg$complications),rowlabel=levels(getpreg$complications.factor),inc.pval=FALSE)

table5  <- paste(prg1.n1$line.incmiss,prg2.n1$line.incmiss,prg3.n1$line.incmiss,prg4.n1$line.incmiss,prg5.n1$line.incmiss,prg6.n1$line.incmiss,sep=" \\\\\\\\ ")

PILOTSICK.N <- table(getsick$sm_pilot.factor)
sic1.n1 <- getnptex(var=droplevels(getsick$type_sickness.factor),by=getsick$sm_pilot.factor,label=label(getsick$type_sickness),rowlabel=sapply(levels(droplevels(getsick$type_sickness.factor)),simpleCap),inc.pval=FALSE,note="b")
getsick$severity2 <- ifelse(getsick$severity %in% c(1,2,3),1,ifelse(getsick$severity %in% c(4,5),2,NA))
sic2.n1 <- getnptex(var=getsick$severity2,by=getsick$sm_pilot.factor,label=label(getsick$severity),rowlabel=c("Not severe to Moderate","Severe to life threatening"),inc.pval=FALSE)
sic2.n1 <- getnptex(var=droplevels(getsick$severity.factor),by=getsick$sm_pilot.factor,label=label(getsick$severity),rowlabel=sapply(levels(droplevels(getsick$severity.factor)),simpleCap),inc.pval=FALSE)
sic3.n1 <- getnptex(var=droplevels(getsick$seek_care.factor),by=getsick$sm_pilot.factor,label=label(getsick$seek_care),rowlabel=levels(droplevels(getsick$seek_care.factor)),inc.pval=FALSE)
sic4.n1 <- getnptex(var=droplevels(getsick$where_care.factor),by=getsick$sm_pilot.factor,label=label(getsick$where_care),rowlabel=levels(droplevels(getsick$where_care.factor)),inc.pval=FALSE)
table6  <- paste(sic1.n1$line.incmiss,sic2.n1$line.incmiss,sic3.n1$line.incmiss,sic4.n1$line.incmiss,sep=" \\\\\\\\ ")

         
