#############################################################
#
#   Program: table2.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 25 October 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

getpreg$outcome <- ifelse(!is.na(getpreg$where_delivered),getpreg$where_delivered-1,NA)  # home = 0 and hospital = 1
HOSPPREG.N <- table(getpreg$outcome)
prg2.n2 <- getnptex(var=droplevels(getpreg$result_pregnancy.factor),by=getpreg$outcome,label=label(getpreg$result_pregnancy),rowlabel=sapply(levels(droplevels(getpreg$result_pregnancy.factor)),simpleCap),inc.pval=FALSE,note="b")
prg1.n2 <- getnptex(var=droplevels(getpreg$sm_pilot.factor),by=getpreg$outcome,label=label(getpreg$sm_pilot),rowlabel=sapply(levels(droplevels(getpreg$sm_pilot.factor)),simpleCap),inc.pval=FALSE)
prg3.n2 <- getnptex(var=droplevels(getpreg$home_assisted.factor),by=getpreg$outcome,label=label(getpreg$home_assisted),rowlabel=sapply(levels(droplevels(getpreg$home_assisted.factor)),simpleCap),inc.pval=FALSE)
prg4.n2 <- getnptex(var=droplevels(getpreg$hospital_after.factor),by=getpreg$outcome,label=label(getpreg$hospital_after),rowlabel=levels(droplevels(getpreg$hospital_after.factor)),inc.pval=FALSE)
prg5.n2 <- getnptex(var=droplevels(getpreg$type_birth.factor),by=getpreg$outcome,label=label(getpreg$type_birth),rowlabel=sapply(levels(droplevels(getpreg$type_birth.factor)),simpleCap),inc.pval=FALSE)
prg6.n2 <- getnptex(var=getpreg$complications.factor,by=getpreg$outcome,label=label(getpreg$complications),rowlabel=levels(getpreg$complications.factor),inc.pval=FALSE)
edu.m2 <- getmedtex(var=getpreg$maternal_education,by=getpreg$outcome,label=label(getpreg$maternal_education),inc.pval=FALSE,note="a")
cnum.m2 <- getmedtex(var=getpreg$children_at_home,by=getpreg$outcome,label=label(getpreg$children_at_home),inc.pval=FALSE)
dis.n2 <- getnptex(var=droplevels(getpreg$distance_travel.factor),by=getpreg$outcome,label=label(getpreg$distance_travel),rowlabel=levels(droplevels(getpreg$distance_travel.factor)),inc.pval=FALSE)

table7  <- paste(prg1.n2$line,prg2.n2$line.incmiss,prg3.n2$line.incmiss,prg4.n2$line.incmiss,prg5.n2$line.incmiss,prg6.n2$line.incmiss,edu.m2$line.incmiss,
                 cnum.m2$line,dis.n2$line,sep=" \\\\\\\\ ")

seekcare <- getsick[!is.na(getsick$seek_care) & getsick$seek_care.factor=="Yes",]
seekcare$outcome <- ifelse(seekcare$where_care.factor=="Malindi District Hospital",1,0)
seekcare$children_at_home <- impute(seekcare$children_at_home,fun=median)
seekcare$type_sickness.factor[is.na(seekcare$type_sickness.factor)] <- "other (specify)"
seekcare$type_sickness.factor[seekcare$type_sickness.factor=="injury"] <- "other (specify)"
HOSPSICK.N <- table(seekcare$outcome)
sic2.n2 <- getnptex(var=droplevels(seekcare$type_sickness.factor),by=seekcare$outcome,label=label(seekcare$type_sickness),rowlabel=sapply(levels(droplevels(seekcare$type_sickness.factor)),simpleCap),inc.pval=FALSE,note="b")
sic3.n2 <- getnptex(var=droplevels(seekcare$severity.factor),by=seekcare$outcome,label=label(seekcare$severity),rowlabel=sapply(levels(droplevels(seekcare$severity.factor)),simpleCap),inc.pval=FALSE)
sic1.n2 <- getnptex(var=droplevels(seekcare$sm_pilot.factor),by=seekcare$outcome,label=label(seekcare$sm_pilot),rowlabel=levels(droplevels(seekcare$sm_pilot.factor)),inc.pval=FALSE)
cnum.m2 <- getmedtex(var=seekcare$children_at_home,by=seekcare$outcome,label=label(seekcare$children_at_home),inc.pval=FALSE,note="a")
dis.n2 <- getnptex(var=droplevels(seekcare$distance_travel.factor),by=seekcare$outcome,label=label(seekcare$distance_travel),rowlabel=levels(droplevels(seekcare$distance_travel.factor)),inc.pval=FALSE)
table8  <- paste(sic1.n2$line,sic2.n2$line,sic3.n2$line.incmiss,cnum.m2$line,dis.n2$line,sep=" \\\\\\\\ ")

         