#############################################################
#
#   Program: utilization_model.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 6 October 2011
#   Revisions: 
#     
#
#############################################################


baseline$children_at_home <- impute(baseline$children_at_home,fun=median)
baseline$maternal_education <- impute(baseline$maternal_education,fun=median)
baseline$age_sm <- impute(baseline$age_sm,fun=median)
baseline$travel <- baseline$distance_travel
baseline$travel[baseline$travel>2] <- 3
baseline$travel <- factor(baseline$travel,labels=c("0-5 km","6-10 km",">10 km"))
baseline$hospchild <- ifelse(baseline$where_children_sick.factor=="Malindi District Hospital",1,0)
baseline$hospself <- ifelse(baseline$type_often_health_care.factor=="Public hospital",1,0)

lrm5.dd1 <- datadist(with(baseline,data.frame(hospchild,hospself,travel,sm_pilot,age_sm,maternal_education,children_at_home)))
options(datadist='lrm5.dd1')

lrm5_nl <- lrm(hospchild ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3) + travel, data=baseline, x=T, y=T)
lrm5 <- lrm(hospchild ~ sm_pilot + age_sm + maternal_education + children_at_home + travel, data=baseline, x=T, y=T)
lrm6_nl <- lrm(hospself ~ sm_pilot + rcs(age_sm,3) + rcs(maternal_education,3) + rcs(children_at_home,3) + travel, data=baseline, x=T, y=T)
lrm6 <- lrm(hospself ~ sm_pilot + age_sm + maternal_education + children_at_home + travel, data=baseline, x=T, y=T)


lrm5_labels <- c("Pilot","Age (per 5 years)","Maternal Education (per year)","Children at home (per 1 child)","Distance travel for health servies","\\\\hspace{0.2in}0-5 km (ref)","\\\\hspace{0.2in}6-10 km","\\\\hspace{0.2in}>10 km")

getlatex <- function(mylrm){
	lrm5_sum1 <- summary(mylrm,sm_pilot=0,age=c(20,25))[c(2,4,6,8,10,12),c(4,6,7)]
	lrm5_sum2 <- paste(format(round(lrm5_sum1[,1],2),nsmall=2)," (",
			    format(round(lrm5_sum1[,2],2),nsmall=2)," to ",
			    format(round(lrm5_sum1[,3],2),nsmall=2),")",sep="")
	lrm5_sum3 <- c(lrm5_sum2[1:4],"","1",lrm5_sum2[5:6])
	(pval.g2 <- sapply(as.data.frame(anova(mylrm))$P,myformat4)) 
	latex.g2 <-paste(lrm5_labels,lrm5_sum3,
		      c(pval.g2[c(1:5)],rep("",3)),sep=" & ")
	lrm5 <- paste(latex.g2,collapse=" \\\\\\\\ ")
	return(lrm5)
}



